## qtwebengine-opensource-src 5.15.8

=== debian/changelog ===
qtwebengine-opensource-src (5.15.8-1+dde) unstable; urgency=medium

  * build against Qt 5.15.8

 -- Qin xialei <qinxialei@uniontech.com>  Sun, 29 Jan 2023 13:31:21 +0800

qtwebengine-opensource-src (5.15.7.1-1+dde) unstable; urgency=medium

  * fit qtbase 5.15.7

 -- Ma Aiguo <maaiguo@uniontech.com>  Tue, 15 Nov 2022 16:45:21 +0800
