## qtwebengine-opensource-src 5.15.8+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.8+dfsg-2) experimental; urgency=medium

  * Build against Qt 5.15.3.
  * Bump ABI version to qtwebengine-abi-5-15-8.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 08 Mar 2022 22:44:37 +0300
