=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: binutils (>= 2.31),
+Build-Depends: binutils (>= 2.32-8~),
                bison,
                chrpath,
                debhelper-compat (= 13),
@@ -31,7 +31,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libharfbuzz-dev,
-               libicu-dev (>= 63),
+               libicu-dev (>= 64~),
                libjpeg-dev,
                libjs-d3,
                libjsoncpp-dev,
@@ -39,19 +39,19 @@
                liblcms2-dev,
                libminizip-dev,
                libnss3-dev,
-               libopus-dev (>= 1.3),
+               libopus-dev (>= 1.3.1),
                libpci-dev,
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.8),
-               libqt5svg5-dev (>= 5.15.8),
-               libqt5webchannel5-dev (>= 5.15.8),
+               libqt5opengl5-dev (>= 5.15.3+dfsg~),
+               libqt5svg5-dev (>= 5.15.3~),
+               libqt5webchannel5-dev (>= 5.15.3~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
                libusb-1.0-0-dev,
-               libvpx-dev (>= 1.7),
+               libvpx-dev (>= 1.8),
                libwebp-dev,
                libx11-xcb-dev,
                libxcb-dri3-dev,
@@ -69,28 +69,29 @@
                mesa-common-dev,
                ninja-build,
                node-pako,
+               node-rollup-plugin-terser,
                node-yargs,
                nodejs,
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
                python2,
-               qtbase5-dev (>= 5.15.8),
-               qtbase5-private-dev (>= 5.15.8),
-               qtdeclarative5-private-dev (>= 5.15.8),
-               qtpositioning5-dev (>= 5.15.8),
-               qtquickcontrols2-5-dev (>= 5.15.8),
-               qttools5-dev (>= 5.15.8),
+               qtbase5-dev (>= 5.15.3+dfsg~),
+               qtbase5-private-dev (>= 5.15.3+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
+               qtpositioning5-dev (>= 5.15.3+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.15.3+dfsg~),
+               qttools5-dev (>= 5.15.3~),
                re2c,
                rollup,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
@@ -331,5 +332,3 @@
 Depends: ${misc:Depends}
 Description: Qt 5 PDF documentation
  The Qt PDF module contains classes and functions for rendering PDF documents.
- .
- This package contains the documentation in QCH format, which can be
