## qtwebengine-opensource-src 5.15.9+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-9.
  * Update debian/libqt5webenginecore5.symbols from buildds’ logs.
  * Remove copyright for win_build_output, it is in Files-Excluded.
  * Add one new symbol to debian/libqt5webenginecore5.symbols.
  * Update debian/source/lintian-overrides for Lintian 2.109.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 08 Apr 2022 19:19:50 +0300
