=== debian/control ===
--- 
+++ 
@@ -161,7 +161,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-8
+Provides: qtwebengine-abi-5-15-9
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
