## qtwebengine-opensource-src 5.15.10+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.10+dfsg-6build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:57:12 +0200

qtwebengine-opensource-src (5.15.10+dfsg-6) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build against Qt 5.15.6.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Sep 2022 10:51:34 +0300

qtwebengine-opensource-src (5.15.10+dfsg-5) experimental; urgency=medium

  * Update symbols files from buildds’ logs.
  * Build against Qt 5.15.5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jul 2022 23:21:40 +0300

qtwebengine-opensource-src (5.15.10+dfsg-4) unstable; urgency=medium

  * Add a patch to fix build with GCC 12 (closes: #1013025).
  * Update symbols files from amd64 build log with GCC 12.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 11:45:31 +0300

qtwebengine-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  * Disable CONFIG_THUMB to fix build on armhf.
  * Pass -z notext to linker to fix build on i386.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jun 2022 12:48:02 +0300

qtwebengine-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Build with bundled ffmpeg for now (closes: #1004594).
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Jun 2022 23:59:39 +0300

qtwebengine-opensource-src (5.15.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-10.
  * Use symver directive to catch all private symbols at once.
  * Refresh debian/patches/verbose-gn-bootstrap.patch.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:05 +0300

qtwebengine-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump nodejs build-dependency to 16.14. With the previous version (14.19),
    the build hangs on mips64el and mipsel.
  * Build against Qt 5.15.4.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 19:51:49 +0300
