=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: qtwebengine-opensource-src
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -14,9 +15,6 @@
                gperf,
                khronos-api,
                libasound2-dev [linux-any],
-               libavcodec-dev (>= 7:4.0~),
-               libavformat-dev (>= 7:4.0~),
-               libavutil-dev (>= 7:4.0~),
                libcap-dev [linux-any],
                libdbus-1-dev,
                libegl1-mesa-dev,
@@ -44,9 +42,9 @@
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.3+dfsg~),
-               libqt5svg5-dev (>= 5.15.3~),
-               libqt5webchannel5-dev (>= 5.15.3~),
+               libqt5opengl5-dev (>= 5.15.6+dfsg~),
+               libqt5svg5-dev (>= 5.15.6~),
+               libqt5webchannel5-dev (>= 5.15.6~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -71,28 +69,28 @@
                node-pako,
                node-rollup-plugin-terser,
                node-yargs,
-               nodejs,
+               nodejs (>= 16.14),
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
                python2,
-               qtbase5-dev (>= 5.15.3+dfsg~),
-               qtbase5-private-dev (>= 5.15.3+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.3+dfsg~),
-               qtpositioning5-dev (>= 5.15.3+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.15.3+dfsg~),
-               qttools5-dev (>= 5.15.3~),
+               qtbase5-dev (>= 5.15.6+dfsg~),
+               qtbase5-private-dev (>= 5.15.6+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
+               qtpositioning5-dev (>= 5.15.6+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.15.6+dfsg~),
+               qttools5-dev (>= 5.15.6~),
                re2c,
                rollup,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.3~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.3~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.3+dfsg~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
@@ -161,7 +159,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-9
+Provides: qtwebengine-abi-5-15-10
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
@@ -332,3 +330,4 @@
 Depends: ${misc:Depends}
 Description: Qt 5 PDF documentation
  The Qt PDF module contains classes and functions for rendering PDF documents.
+ .
