=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,6 @@
 config_args = -proprietary-codecs \
               -feature-webengine-system-libvpx \
               -webengine-jumbo-build 0 \
-              -system-ffmpeg \
               -system-opus \
               -system-webp \
               -system-webengine-icu \
@@ -114,6 +113,14 @@
 	# Missing hardening flag detected by blhc
 	echo "QMAKE_LFLAGS += -Wl,-z,now" >> .qmake.conf
 
+ifeq ($(DEB_HOST_ARCH),i386)
+	# Make the following linker warning on i386 not fatal:
+	# /usr/bin/ld: .../src/core/release/obj/third_party/ffmpeg/ffmpeg_nasm/dct32.o: warning: relocation in read-only section `.text'
+	# /usr/bin/ld: warning: creating DT_TEXTREL in a shared object
+	# Upstream does the same for lld linker, see third_party/ffmpeg/BUILD.gn.
+	echo "QMAKE_LFLAGS += -Wl,-z,notext" >> .qmake.conf
+endif
+
 	# Run qmake again now with the proper values.
 	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python2
 
@@ -180,17 +187,3 @@
 		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 		LD_LIBRARY_PATH=$(CURDIR)/lib
 
-override_dh_auto_test-indep:
-	# Do not attempt to run anything to make build-indep work
-
-export define GET_FILES_EXCLUDED
-from debian import copyright
-with open('$(CURDIR)/debian/copyright') as copyright_file:
-    c = copyright.Copyright(copyright_file)
-for pattern in c.header.files_excluded:
-    print(pattern)
-endef
-
-get-orig-source:
-	@set -eux && \
-	TEMPDIR=$$(mktemp -d) && \
