## qtwebengine-opensource-src 5.15.12+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.12+dfsg-3) unstable; urgency=medium

  * Add debian/90qtwebengine-dictionaries-path.conf.
  * debian/copyright:
    - Add myself to copyright file.
    - Update copyright dates for other contributors.
  * debian/control:  Add build-depends on libopenjp2-7-dev to remove
    embedded openjpeg library.
  * debian/libqt5webengine-data.install:  Install
    90qtwebengine-dictionaries-path.conf to /etc/environment.d/.
  * debian/libqt5webengine-data.links:  Remove the hunspell-bdic symlink.
  * debian/patches:  Add system-libopenjpeg2.patch.
  * Update Lintian override format to use pointed hints.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Add myself to uploaders.

 -- Soren Stoutner <soren@stoutner.com>  Wed, 01 Feb 2023 06:57:05 -0700

qtwebengine-opensource-src (5.15.12+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:22 +0400

qtwebengine-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-12.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Add /usr/share/qt5/qtwebengine_dictionaries → /usr/share/hunspell-bdic
    symlink (see #1020387).
  * Build against Qt 5.15.8.
  * Add a patch to fix build with Python 3.11.

  [ Soren Stoutner ]
  * Update watch file.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 09 Jan 2023 12:09:05 +0400

qtwebengine-opensource-src (5.15.11+dfsg-5) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:43 +0300

qtwebengine-opensource-src (5.15.11+dfsg-4) experimental; urgency=medium

  * Build against Qt 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 06 Dec 2022 14:54:51 +0300

qtwebengine-opensource-src (5.15.11+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 11:56:05 +0300

qtwebengine-opensource-src (5.15.11+dfsg-2) experimental; urgency=medium

  * Replace python2 with python3 in one more place, to fix docs build.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 20:25:20 +0300

qtwebengine-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Bump ABI version to qtwebengine-abi-5-15-11.
  * Remove __NR_statx part from sandbox-time64-syscalls.patch.
    A similar change was applied upstream in commit a7a23ccc69e6756e.
  * Disable Catapult to simplify porting to Python 3.
    - Add disable-catapult.patch (copied from Chromium packaging).
    - Exclude catapult directory from the tarball.
    - Drop remove-benchmark-from-inputs.patch and python2.patch.
    - Drop debian/missing-sources/jszip-2.4.0.
    - Stop copying pako.min.js and d3.min.js in debian/rules.
    - Drop libjs-d3 and node-pako build-dependencies.
  * Use Python 3 instead of Python 2 for building (closes: #938322).
    - Update build-dependency.
    - Add python3.patch, inspired by Arch Linux but using versioned python3.
    - Add chromium-python3.patch, copied from Arch Linux.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 27 Nov 2022 12:06:13 +0300

qtwebengine-opensource-src (5.15.10+dfsg-7) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:39:27 +0300
