=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: qtwebengine-opensource-src
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Sandro Knauß <hefee@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@debian.org>
+           Simon Quigley <tsimonq2@debian.org>,
+           Soren Stoutner <soren@stoutner.com>
 Section: libs
 Priority: optional
 Build-Depends: binutils (>= 2.32-8~),
@@ -31,20 +31,20 @@
                libharfbuzz-dev,
                libicu-dev (>= 64~),
                libjpeg-dev,
-               libjs-d3,
                libjsoncpp-dev,
                libkrb5-dev,
                liblcms2-dev,
                libminizip-dev,
                libnss3-dev,
+               libopenjp2-7-dev,
                libopus-dev (>= 1.3.1),
                libpci-dev,
                libpng-dev,
                libprotobuf-dev,
                libpulse-dev,
-               libqt5opengl5-dev (>= 5.15.6+dfsg~),
-               libqt5svg5-dev (>= 5.15.6~),
-               libqt5webchannel5-dev (>= 5.15.6~),
+               libqt5opengl5-dev (>= 5.15.8+dfsg~),
+               libqt5svg5-dev (>= 5.15.8~),
+               libqt5webchannel5-dev (>= 5.15.8~),
                libre2-dev,
                libsnappy-dev,
                libsqlite3-dev,
@@ -66,31 +66,30 @@
                libxtst-dev,
                mesa-common-dev,
                ninja-build,
-               node-pako,
                node-rollup-plugin-terser,
                node-yargs,
                nodejs (>= 16.14),
                pkg-config,
                pkg-kde-tools,
                protobuf-compiler,
-               python2,
-               qtbase5-dev (>= 5.15.6+dfsg~),
-               qtbase5-private-dev (>= 5.15.6+dfsg~),
-               qtdeclarative5-private-dev (>= 5.15.6+dfsg~),
-               qtpositioning5-dev (>= 5.15.6+dfsg~),
-               qtquickcontrols2-5-dev (>= 5.15.6+dfsg~),
-               qttools5-dev (>= 5.15.6~),
+               python3,
+               qtbase5-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtdeclarative5-private-dev (>= 5.15.8+dfsg~),
+               qtpositioning5-dev (>= 5.15.8+dfsg~),
+               qtquickcontrols2-5-dev (>= 5.15.8+dfsg~),
+               qttools5-dev (>= 5.15.8~),
                re2c,
                rollup,
                ruby,
                xauth,
                xvfb,
                yui-compressor
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.6~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.6~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.6+dfsg~) <!nodoc>
-Standards-Version: 4.6.1
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtwebengine
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtwebengine.git
 Homepage: https://doc.qt.io/qt-5/qtwebengine-index.html
@@ -159,7 +158,7 @@
 Package: libqt5webenginecore5
 Architecture: amd64 arm64 armhf i386 mips64el mipsel
 Multi-Arch: same
-Provides: qtwebengine-abi-5-15-10
+Provides: qtwebengine-abi-5-15-12
 Depends: libqt5webengine-data (= ${source:Version}),
          sse2-support [i386],
          ${misc:Depends},
@@ -331,3 +330,4 @@
 Description: Qt 5 PDF documentation
  The Qt PDF module contains classes and functions for rendering PDF documents.
  .
+ This package contains the documentation in QCH format, which can be
