=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 
 config_args = -proprietary-codecs \
               -feature-webengine-system-libvpx \
+              -feature-webengine-system-openjpeg2 \
               -webengine-jumbo-build 0 \
               -system-opus \
               -system-webp \
@@ -72,7 +73,7 @@
 
 override_dh_auto_configure:
 	# Run qmake once to create .qmake.conf and be sure to append the following values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python2
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3
 
 # Enable gstabs debugging symbols only on gstab_architectures.
 ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gstab_architectures)))
@@ -122,7 +123,7 @@
 endif
 
 	# Run qmake again now with the proper values.
-	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON2=python2
+	qmake QT_BUILD_PARTS+=tests QMAKE_EXTRA_ARGS+="$(config_args)" QMAKE_PYTHON3=python3
 
 	# Create js files, that are needed for building step for arch and indep builds
 	cd $(CURDIR)/src/3rdparty/chromium/third_party/jstemplate/; \
@@ -130,9 +131,6 @@
 
 	>examples/webenginewidgets/contentmanipulation/jquery.js cat debian/missing-sources/jquery-*.js
 	yui-compressor --type js "examples/webenginewidgets/contentmanipulation/jquery.js" -o "examples/webenginewidgets/contentmanipulation/jquery.min.js"
-
-	cp /usr/share/nodejs/pako/dist/pako.min.js src/3rdparty/chromium/third_party/catapult/tracing/third_party/pako/
-	cp /usr/share/javascript/d3/d3.min.js src/3rdparty/chromium/third_party/catapult/tracing/third_party/d3/
 
 	set -ex; for fname in $(touch_files); do \
 		mkdir -p $(CURDIR)/$$(dirname $${fname}); \
@@ -187,3 +185,8 @@
 		QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
 		LD_LIBRARY_PATH=$(CURDIR)/lib
 
+override_dh_auto_test-indep:
+	# Do not attempt to run anything to make build-indep work
+
+export define GET_FILES_EXCLUDED
+from debian import copyright
