## qtwebengine-opensource-src 5.15.13+dfsg

=== debian/changelog ===
qtwebengine-opensource-src (5.15.13+dfsg-1~deb12u1) unstable; urgency=medium

  * New upstream release.
  * Update SUBMODULE_COMMIT for the new release.
  * Remove copyright section for debian/missing-sources/jszip-2.4.0.
  * Bump ABI version to qtwebengine-abi-5-15-13.
  * Drop gcc-12.patch, included in the new release.
  * Refresh debian/patches/python3.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Mar 2023 18:32:25 +0300
